addColumn {oce} | R Documentation

## Add a column to an oce object

### Description

Add a column to an oce object's `data`.

### Usage

    addColumn(x, data, name)

### Arguments

`x` | A `ctd` object, e.g. as read by `read.ctd`.
`data` | the data. The length of this item must match that of the existing data entries in the `data` slot).
`name` | the name of the column.

### Details

If there is already a column with the given name, its contents are replaced by the new value.

### Value

An object of `class` `oce`, with a new column.

### Author(s)

Dan Kelley

### See Also

`ctdAddColumn` does a similar thing for `ctd` objects, and is in fact called, if `x` is of class `ctd`.

### Examples

    library(oce)
    data(ctd)
    st <- swSigmaTheta(salinity(ctd), temperature(ctd), pressure(ctd))
    new <- addColumn(ctd, st, "sigmaTheta")

[Package oce version 0.9-18 Index]